# class EngineCheck | Engine checker interface. More...
Contains pure virtuals
Full name | `TelEngine::EngineCheck`
Definition | `#include <yatengine.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~EngineCheck ()
- virtual bool check (const ObjList* cmds)

#### Public Static Methods

- static void setChecker (EngineCheck* ptr = 0)

## Detailed Description

Base class for engine running stage checkers. Descendants may check specific conditions and decide to stop the engine. There should be only one (static) instance of an engine checker

~EngineCheck () | ### ~EngineCheck

[virtual]

Do-nothing destructor of base class

bool check (const ObjList* cmds) | ### check

[pure virtual]

Check running conditions. This method is called by the engine in the initialize process

Parameters:

cmds | Optional list of strings containing extra command line parameters (not parsed by the engine)

Returns: False to stop the program

void setChecker (EngineCheck* ptr = 0) | ### setChecker

[static]

Set the current engine checker

Parameters:

ptr | The new engine checker. May be 0 to reset it

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.